title1 CENSUS OF CANADA 1981 - BST: EA-SHORT FORM- EAW81A10
title2 SAS commands by Sushil Kumar, UT/DLS 09/2003, using DAIS ddims Publisher

LIBNAME LIBRARY 'C:\SUSHIL\CC81\EA\SHORT\';
LIBNAME OUT 'C:\SUSHIL\CC81\EA\SHORT\';
PROC FORMAT LIBRARY=LIBRARY ;
  Value  V1_F
    0.00='Canada'
    10.00='Newfoundland'
    11.00='Prince Edward Island'
    12.00='Nova Scotia'
    13.00='New Brunswick'
    24.00='Quebec'
    35.00='Ontario'
    46.00='Manitoba'
    47.00='Saskatchewan'
    48.00='Alberta'
    59.00='British Columbia'
    60.00='Yukon'
    61.00='Northwest Territories'
  ;
  Value  V6_F
    1.00='500,000 & over'
    2.00='100,000 - 499,999'
    3.00='30,000 - 99,999'
    4.00='10,000 - 29,999'
    5.00='5,000 - 9,999'
    6.00='2,500 - 4,999'
    7.00='1,000 - 2,499'
    8.00='0 - 999'
  ;
  Value  V11_F
    1.00='Urbanized core'
    2.00='Urban fringe'
    3.00='Rural fringe'
  ;
  Value  V12_F
    0.00='Not a CMA/CA'
    1.00='CMA'
    2.00='CA'
  ;
  Value  V13_F
    0.00='Not a CMA/CA'
    1.00='1,000,000 & over'
    2.00='500,000 - 999,999'
    3.00='250,000 - 499,999'
    4.00='100,000 - 249,999'
    5.00='50,000 - 99,999'
    6.00='25,000 - 49,999'
    7.00='10,000 - 24,999'
  ;
  Value  V18_F
    0.00='Rural'
    1.00='500,000 & over'
    2.00='100,000 - 499,999'
    3.00='30,000 - 99,999'
    4.00='10,000 - 29,999'
    5.00='5,000 - 9,999'
    6.00='2,500 - 4,999'
    7.00='1 - 2,499'
  ;
  Value  V22_F
    1.00='Includes IR or part of IR'
  ;
  Value  V23_F
    1.00='Canada'
    2.00='Provinces'
    3.00='Remainder'
    10.00='CMA/CA'
    12.00='Prov. CT subtotal'
    13.00='Census tracts'
    15.00='Prov. census tracts'
    16.00='Census divisions'
    17.00='Census subdivisions'
    18.00='Federal electoral districts'
    19.00='Enumeration areas'
  ;
RUN;
DATA  OUT.EAW81A10;
 INFILE 'C:\SUSHIL\CC81\EA\SHORT\EAW81A10.DAT' LRECL = 376;
 INPUT
  RP 1-2  FED 3-5  EA 6-8  CD 9-10  CSDGC 11-13  CSDS 14-14  CSDTN 15-17  CSDT 18-19  CCSGC 20-22  CA 23-25
  CAP 26-26  CASL 27-27  CASZ 28-28  CTPN 29-35  CT 36-39  SPR 40-41  UAC 42-45  URS 46-46  BLANK1 47-47  BLANK2 48-48
  BLANK3 49-49  HGIMPIND 50-50  RECTYPE 51-52  F2 53-61  F3 62-70  F4 71-79  F5 80-88  F6 89-97  F7 98-106  F8 107-115
  F9 116-124  F10 125-133  F11 134-142  F12 143-151  F13 152-160  F14 161-169  F15 170-178  F16 179-187  F17 188-196  F18 197-205
  F19 206-214  F20 215-223  F21 224-232  F22 233-241  F23 242-250  F24 251-259  F25 260-268  F26 269-277  F27 278-286  F28 287-295
  F29 296-304  F30 305-313  F31 314-322  F32 323-331  F33 332-340  F34 341-349  F35 350-358  F36 359-367  F37 368-376 ;

  FORMAT  RP V1_F. ;
  FORMAT  CSDS V6_F. ;
  FORMAT  CAP V11_F. ;
  FORMAT  CASL V12_F. ;
  FORMAT  CASZ V13_F. ;
  FORMAT  URS V18_F. ;
  FORMAT  HGIMPIND V22_F. ;
  FORMAT  RECTYPE V23_F. ;
  LABEL
    RP='Region and province'
    FED='Federal electoral district'
    EA='Enumeration area'
    CD='Census division'
    CSDGC='Census subdivision geographical classification'
    CSDS='CSD population size group'
    CSDTN='CSD type name'
    CSDT='CSD type code'
    CCSGC='Census consolidated subdivision geographical classification'
    CA='Census metropolitan area/Census agglomeration'
    CAP='CMA/CA part'
    CASL='CMA/CA selector'
    CASZ='CMA/CA population size group'
    CTPN='Census tract/Provincial census tract name'
    CT='Census tract/Provincial census tract code'
    SPR='Subprovincial region'
    UAC='Urban area code/Rural indicator'
    URS='Urabn area population size group'
    BLANK1='Blank'
    BLANK2='Blank'
    BLANK3='Blank'
    HGIMPIND='Indian Reserve: High imputation area indicator'
    RECTYPE='Record type'
    F2='Total occupied private dwellings'
    F3='Single detached: Total'
    F4='Apartment, five or more storeys: Total'
    F5='Double house: Total'
    F6='Row house: Total'
    F7='Apartment, less than five storeys: Total'
    F8='Duplex: Total'
    F9='House attached to a non-residential building: Total'
    F10='Other multiple dwellings: Total'
    F11='Mobiles: Total'
    F12='Blank'
    F13='Total movable dwellings: Total'
    F14='Total occupied private dwellings: Owned'
    F15='Single detached: Owned'
    F16='Apartment, five or more storeys: Owned'
    F17='Double house: Owned'
    F18='Row house: Owned'
    F19='Apartment, less than five storeys: Owned'
    F20='Duplex: Owned'
    F21='House attached to a non-residential building: Owned'
    F22='Other multiple dwellings: Owned'
    F23='Mobiles: Owned'
    F24='Blank'
    F25='Total movable dwellings: Owned'
    F26='Total occupied private dwellings: Owned'
    F27='Single detached: Rented'
    F28='Apartment, five or more storeys: Rented'
    F29='Double house: Rented'
    F30='Row house: Rented'
    F31='Apartment, less than five storeys: Rented'
    F32='Duplex: Rented'
    F33='House attached to a non-residential building: Rented'
    F34='Other multiple dwellings: Rented'
    F35='Mobiles: Rented'
    F36='Blank'
    F37='Total movable dwellings: Rented'
  ;
  ;
RUN;
